bin_PROGRAMS =      gliv

gliv_SOURCES =      include/about.h                         \
                    actions.c include/actions.h             \
                    include/all_cursors.h                   \
                    callbacks.c include/callbacks.h         \
                    cmdline.c include/cmdline.h             \
                    collection.c include/collection.h       \
                    cursors.c include/cursors.h             \
                    decompression.c include/decompression.h \
                    dirty_gtk.c include/dirty_gtk.h         \
                    dithering.c include/dithering.h         \
                    files_list.c include/files_list.h       \
                    foreach_file.c include/foreach_file.h   \
                    formats.c include/formats.h             \
                    include/gettext.h                       \
                    gl_widget.c include/gl_widget.h         \
                    include/glade_actions.h                 \
                    include/glade_image_nr.h                \
                    include/glade_options.h                 \
                    gliv-image.c include/gliv-image.h       \
                    include/gliv.h                          \
                    include/gliv_logo.h                     \
                    help.c include/help.h                   \
                    help_text.c include/help_text.h         \
                    history.c include/history.h             \
                    images_menus.c include/images_menus.h   \
                    ipc.c include/ipc.h                     \
                    include/large_files.h                   \
                    loading.c include/loading.h             \
                    main.c include/main.h                   \
                    include/math_floats.h                   \
                    matrix.c include/matrix.h               \
                    menus.c include/menus.h                 \
                    include/messages.h                      \
                    mnemonics.c include/mnemonics.h         \
                    move_pointer.c include/move_pointer.h   \
                    next_image.c include/next_image.h       \
                    open_dialog.c include/open_dialog.h     \
                    include/opengl.h                        \
                    include/opengl_wrapper.h                \
                    options.c include/options.h             \
                    include/params.h                        \
                    pathset.c include/pathset.h             \
                    rcfile.c include/rcfile.h               \
                    rendering.c include/rendering.h         \
                    scrollbars.c include/scrollbars.h       \
                    str_utils.c include/str_utils.h         \
                    strnatcmp.c include/strnatcmp.h         \
                    include/texture_map.h                   \
                    textures.c include/textures.h           \
                    thread.c include/thread.h               \
                    thumbnails.c include/thumbnails.h       \
                    tiling.c include/tiling.h               \
                    timestamp.c include/timestamp.h         \
                    transition.c include/transition.h       \
                    tree.c include/tree.h                   \
                    tree_browser.c include/tree_browser.h   \
                    windows.c include/windows.h             \
                    zoom_frame.c include/zoom_frame.h

if NEED_REPLACEMENTS
gliv_DEPENDENCIES = ../lib/libreplacements.a
gliv_LDADD =        -L../lib -lreplacements
endif

AM_CPPFLAGS = -I$(srcdir)/include -D_REENTRANT -D_THREAD_SAFE \
              -DSYSCONFDIR=\"$(sysconfdir)\"

datadir = @datadir@
localedir = $(datadir)/locale
DEFS = -DLOCALEDIR=\"$(localedir)\" @DEFS@

EXTRA_DIST = glade_actions.c glade_image_nr.c glade_options.c autogenerated


include/all_cursors.h: $(top_srcdir)/tools/cursors/*.xbm
	cat $(top_srcdir)/tools/cursors/*.xbm | sed 's/unsigned //g' > $@

cmdline.c include/cmdline.h: $(top_srcdir)/tools/gliv.ggo
	gengetopt --input=$< --unamed-opts --no-handle-error && \
	mv cmdline.h include/

formats.c: $(top_srcdir)/tools/formats.gperf
	gperf -n --multiple-iterations 64 --output $@ $<

help_text.c: $(top_srcdir)/README $(top_srcdir)/tools/help2c.awk
	awk -f $(top_srcdir)/tools/help2c.awk < $(top_srcdir)/README > $@

glade_actions.c include/glade_actions.h: $(top_srcdir)/tools/glade/actions/gliv-actions.glade
	cd $(top_srcdir)/tools/glade/actions && ./make_glade_actions.sh

glade_image_nr.c include/glade_image_nr.h: $(top_srcdir)/tools/glade/image_nr/gliv-image_nr.glade
	cd $(top_srcdir)/tools/glade/image_nr && ./make_glade_image_nr.sh

glade_options.c include/glade_options.h: $(top_srcdir)/tools/glade/options/gliv-options.glade
	cd $(top_srcdir)/tools/glade/options && ./make_glade_options.sh

gliv-image.c include/gliv-image.h: $(top_srcdir)/tools/gliv-image.gob
	gob2 $< && mv gliv-image.h include/

include/gliv_logo.h: $(top_srcdir)/gliv.svg
	(echo '/* Auto-generated */'; \
	 gdk-pixbuf-csource --struct --static --name=gliv_logo $< | \
	 sed 's,.* pixel_data: .*,& (guint8*),') >  $@
